Summary:	Gnu Privacy Assistant - Graphical Frontend for the GnuPG
Summary(pl.UTF-8):	Gnu Privacy Assistant - Graficzny Frontend GnuPG
Name:		gpa
Version:	0.10.0
Release:	3
License:	GPL v3+
Group:		X11/Applications
Source0:	https://www.gnupg.org/ftp/gcrypt/gpa/%{name}-%{version}.tar.bz2
# Source0-md5:	d0ee0086aea0ad1f61f81dae9a71c253
Patch0:		%{name}-am.patch
URL:		https://www.gnupg.org/related_software/gpa/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake >= 1:1.10
BuildRequires:	gettext-tools >= 0.18.1
BuildRequires:	gpgme-devel >= 1:1.9.0
BuildRequires:	gtk+2-devel >= 2:2.10.0
BuildRequires:	libassuan-devel >= 1:2.4.2
BuildRequires:	libgpg-error-devel >= 1.27
BuildRequires:	pkgconfig
BuildRequires:	zlib-devel
Requires:	gnupg
Requires:	gpgme >= 1:1.9.0
Requires:	gtk+2 >= 2:2.10.0
Requires:	libassuan >= 1:2.4.2
Requires:	libgpg-error >= 1.27
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GPA (GNU Privacy Assistant) is a graphical frontend for the GNU
Privacy Guard (GnuPG). GPA can be used to encrypt, decrypt and sign
files, to verify signatures and to manage the private and public keys.

%description -l pl.UTF-8
GPA (GNU Privacy Assistant) jest graficzną nakładką dla programu Gnu
Privacy Guard (GnuPG). GPA może być użyte do szyfrowania,
deszyfrowania i podpisywania plików, do weryfikacji podpisów, oraz do
zarządzania zarówno publicznymi, jak i prywatnymi kluczami.

%prep
%setup -q
%patch0 -p1

# use newer system versions
%{__rm} m4/{gpg-error.m4,gpgme.m4,libassuan.m4}

%build
%{__gettextize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	GPG=/usr/bin/gpg \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/gpa
%{_datadir}/%{name}
%{_mandir}/man1/gpa.1*
%{_desktopdir}/gpa.desktop
%{_pixmapsdir}/gpa.png
%changelog
* Tue Aug 27 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gpa.git;a=log;h=master

* Tue Aug 27 2024 Jakub Bogusz <qboosh@pld-linux.org> 689d540
- release 3 (libassuan 3.0.1)

* Tue Aug 27 2024 Jakub Bogusz <qboosh@pld-linux.org> e03c9fa
- updated Source0 URL

* Mon Jun 24 2024 Jakub Bogusz <qboosh@pld-linux.org> 6555d3c
- release 2 (libassuan 3.0.0)

* Mon Jun 24 2024 Jakub Bogusz <qboosh@pld-linux.org> 3b2bb10
- rediffed

* Sun Jun 23 2024 Jakub Bogusz <qboosh@pld-linux.org> e289a6e
- updated URL

* Tue Oct 30 2018 Jakub Bogusz <qboosh@pld-linux.org> cc0b7d6
- updated to 0.10.0

* Mon Nov 28 2016 Jakub Bogusz <qboosh@pld-linux.org> 6d47a3e
- updated to 0.9.10

* Sat Sep 19 2015 Jakub Bogusz <qboosh@pld-linux.org> f2dff6f
- updated to 0.9.9

* Thu Feb 26 2015 Jakub Bogusz <qboosh@pld-linux.org> 38b08a5
- updated to 0.9.7

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 58396a9
- updated gettext BR

* Sat Nov 22 2014 Jakub Bogusz <qboosh@pld-linux.org> a3bda6f
- updated to 0.9.6

* Thu Oct 02 2014 Jakub Bogusz <qboosh@pld-linux.org> c2eaeb0
- updated to 0.9.5
- updated am patch

* Tue May 07 2013 Jakub Bogusz <qboosh@pld-linux.org> 482ff73
- updated to 0.9.4
- added am patch (fixes build with automake 1.13+)

* Wed Aug 29 2012 Jakub Bogusz <qboosh@pld-linux.org> 4ecb6a4
- updated to 0.9.3

* Thu Jun 14 2012 Jakub Bogusz <qboosh@pld-linux.org> c9e079f
- updated to 0.9.2

* Mon Jul 09 2007 Jakub Bogusz <qboosh@pld-linux.org> 2f013a8
- unified path passing

* Mon Jul 09 2007 Szymon Siwek <sls@pld-linux.org> aef2d12
- export gpg path (./configure needs exported GPG or installed /usr/bin/gpg)

* Sun Jul 08 2007 Szymon Siwek <sls@pld-linux.org> 8d15591
- rel. 1

* Sun Jul 08 2007 Szymon Siwek <sls@pld-linux.org> ae32876
- standardize locale names: s/zh_TW.Big5/zh_TW/

* Sun Jul 08 2007 Szymon Siwek <sls@pld-linux.org> 9a5580f
- ver. 0.7.6
- changed Source0 URL (it's strange - for 0.7.5 Source0-md5 from
    ftp.gnupg.org and from wald.intevation.org are different)

